summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2004-12-21 11:49:01 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:07:34 -0500
commit73b3e7b286c18dc692fe49f66fc3db4918c3bad8 (patch)
tree6ba9cd1035f1ad8b80605c7cb4378209f5e6bb11 /source4/script
parentbf3067ea0d85301ce8a1d49dd3984815076d9de5 (diff)
downloadsamba-73b3e7b286c18dc692fe49f66fc3db4918c3bad8.tar.gz
samba-73b3e7b286c18dc692fe49f66fc3db4918c3bad8.tar.bz2
samba-73b3e7b286c18dc692fe49f66fc3db4918c3bad8.zip
r4319: make it easy to use valgrind in the test_posix.sh test suite
(This used to be commit 7c09a3ea581e08bb34972d657d11d7e03b832b65)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_posix.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source4/script/tests/test_posix.sh b/source4/script/tests/test_posix.sh
index 06bb43abad..9c46b83552 100755
--- a/source4/script/tests/test_posix.sh
+++ b/source4/script/tests/test_posix.sh
@@ -20,7 +20,7 @@ testit() {
trap "rm -f test.$$" EXIT
cmdline="$*"
- if ! $cmdline > test.$$ 2>&1; then
+ if ! $cmdline > test.$$; then
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
@@ -52,5 +52,5 @@ for t in $tests; do
fi
start=""
echo Testing $t
- testit bin/smbtorture $unc -U"$username"%"$password" $t
+ testit $VALGRIND bin/smbtorture $unc -U"$username"%"$password" $t
done